EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'EventOccurrences_GetOccurrence',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataRow',
    /* DataTableNames_Csv      */ 'EventOccurrences',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets details about a specific event occurrence.'
GO

IF OBJECT_ID('[EventOccurrences_GetOccurrence]') IS NOT NULL DROP PROCEDURE [EventOccurrences_GetOccurrence]
GO

SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO


CREATE PROCEDURE [EventOccurrences_GetOccurrence]
(
	@EventOccurrence_Id INT
)
AS
BEGIN

SET NOCOUNT ON
SET QUOTED_IDENTIFIER ON

	SELECT *
	  FROM [EventOccurrences]
	 WHERE [EventOccurrence_Id] = @EventOccurrence_Id

END
GO

GRANT EXECUTE ON [EventOccurrences_GetOccurrence] TO [ProGetUser_Role]