EXEC [dbo].[__AddStoredProcInfo]
    /* StoredProc_Name         */ 'ApiKeys_DeleteApiKey',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ NULL,
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Deletes the specified API key.'
GO

IF OBJECT_ID('[ApiKeys_DeleteApiKey]') IS NOT NULL DROP PROCEDURE [ApiKeys_DeleteApiKey]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [ApiKeys_DeleteApiKey]
(
    @ApiKey_Id INT
)
AS
BEGIN

	SET NOCOUNT ON

	DELETE [ApiKeys]
     WHERE [ApiKey_Id] = @ApiKey_Id

END
GO

GRANT EXECUTE ON [ApiKeys_DeleteApiKey] TO [ProGetUser_Role]